Index: oceandb/webapproot/pages/Main/Main.widgets.js
===================================================================
--- oceandb/webapproot/pages/Main/Main.widgets.js	(revision 48)
+++ oceandb/webapproot/pages/Main/Main.widgets.js	(revision 50)
@@ -1,36 +1,41 @@
 Main.widgets = {
 	layoutBox1: ["wm.Layout", {box: "v", height: "1flex"}, {}, {
-		template1: ["wm.Template", {height: "96px"}, {}, {
-			header: ["wm.Panel", {_classes: {domNode: ["wm_Padding_8px", "wm_SilverBlueTheme_LightBlueInsetPanel"]}, box: "h", height: "78px", boxPosition: "topLeft"}, {}, {
-				panel4: ["wm.Panel", {box: "v", width: "1flex"}, {}, {
-					chineseheader: ["wm.Label", {_classes: {domNode: ["wm_FontFamily_Verdana", "wm_FontSize_300percent"]}, caption: "台灣海洋資訊資料庫聯盟網", link: "http://oceandb.info", height: "48px"}, {}, {
-						format: ["wm.DataFormatter", {}, {}]
+		template2: ["wm.Template", {height: "1flex"}, {}, {
+			toolbar: ["wm.Panel", {_classes: {domNode: ["wm_SilverBlueTheme_LightBlueOutsetPanel", "wm_Padding_4px"]}, box: "h", height: "22px"}, {}, {
+				home: ["wm.Button", {_classes: {domNode: ["wm_TextDecoration_Bold", "wm_FontSize_120percent", "wm_FontFamily_Verdana", "wm_TextAlign_Center"]}, width: "63px", autoSize: false, caption: "HOME", hint: "台灣海洋資訊資料庫聯盟網 Taiwan Ocean Informatioan Database"}, {}],
+				spacer1: ["wm.Spacer", {width: "10px"}, {}],
+				showmenu: ["wm.Button", {_classes: {domNode: ["wm_FontFamily_Verdana", "wm_TextDecoration_Bold", "wm_FontSize_120percent"]}, width: "61px", autoSize: false, caption: "MENU", height: "18px"}, {onclick: "showmenuClick"}],
+				spacer2: ["wm.Spacer", {width: "10px"}, {}],
+				news: ["wm.Button", {_classes: {domNode: ["wm_FontFamily_Verdana", "wm_FontSize_120percent", "wm_TextDecoration_Bold", "wm_TextAlign_Center"]}, width: "62px", autoSize: false, caption: "NEWS"}, {}],
+				spacer: ["wm.Spacer", {width: "10px"}, {}],
+				about: ["wm.Button", {_classes: {domNode: ["wm_TextAlign_Center", "wm_TextDecoration_Bold", "wm_FontSize_120percent", "wm_FontFamily_Verdana"]}, width: "69px", autoSize: false, caption: "ABOUT"}, {}],
+				spacer3: ["wm.Spacer", {width: "96px"}, {}],
+				title: ["wm.Label", {_classes: {domNode: ["wm_FontFamily_Verdana", "wm_TextDecoration_Bold", "wm_TextAlign_Right", "wm_FontSize_150percent"]}, caption: "台灣海洋資訊資料庫聯盟網 Taiwan Ocean Informatioan Database", link: "http://oceandb.info", width: "1flex"}, {}, {
+					format: ["wm.DataFormatter", {}, {}]
+				}]
+			}],
+			main: ["wm.Panel", {box: "h", height: "1flex"}, {}, {
+				menu: ["wm.Panel", {_classes: {domNode: ["wm_SilverBlueTheme_LightBlueInsetPanel"]}, box: "v", width: "246px"}, {}, {
+					deepsea: ["wm.CheckBoxEditor", {emptyValue: "null", caption: "台灣深海生物分佈資料庫", captionSize: "180px", captionAlign: "left", captionPosition: "right", height: "20px"}, {onchange: "deepseaChange"}, {
+						editor: ["wm._CheckBoxEditor", {dataType: "boolean"}, {}]
 					}],
-					englishheader: ["wm.Label", {_classes: {domNode: ["wm_FontFamily_Verdana", "wm_FontSize_150percent", "wm_TextDecoration_Bold", "wm_TextDecoration_Underline", "wm_FontColor_LightGray"]}, caption: "Taiwan Ocean Informatioan Database", height: "16px"}, {}, {
-						format: ["wm.DataFormatter", {}, {}]
+					boat: ["wm.CheckBoxEditor", {caption: "航行軌跡", captionSize: "180px", captionAlign: "left", captionPosition: "right", height: "20px"}, {}, {
+						editor: ["wm._CheckBoxEditor", {dataType: "boolean"}, {}]
 					}]
 				}],
-				logo: ["wm.Picture", {source: "http://www.tori.narl.org.tw/images/tori_logo.png", aspect: "v", link: "http://www.tori.narl.org.tw", autoSize: true}, {}]
-			}]
-		}],
-		template2: ["wm.Template", {height: "1flex"}, {}, {
-			toolbar: ["wm.Panel", {_classes: {domNode: ["wm_SilverBlueTheme_ToolBar"]}, box: "h", height: "26px"}, {}, {
-				home: ["wm.Button", {_classes: {domNode: ["wm_TextDecoration_Bold", "wm_FontSize_120percent", "wm_FontFamily_Verdana", "wm_TextAlign_Center"]}, width: "63px", caption: "HOME"}, {}],
-				spacer1: ["wm.Spacer", {width: "10px"}, {}],
-				news: ["wm.Button", {_classes: {domNode: ["wm_FontFamily_Verdana", "wm_FontSize_120percent", "wm_TextDecoration_Bold", "wm_TextAlign_Center"]}, width: "62px", caption: "NEWS"}, {}],
-				spacer2: ["wm.Spacer", {width: "10px"}, {}],
-				about: ["wm.Button", {_classes: {domNode: ["wm_TextAlign_Center", "wm_TextDecoration_Bold", "wm_FontSize_120percent", "wm_FontFamily_Verdana"]}, width: "69px", caption: "ABOUT"}, {}]
-			}],
-			main: ["wm.Panel", {box: "h", height: "1flex"}, {}, {
-				menu: ["wm.Panel", {_classes: {domNode: ["wm_SilverBlueTheme_LightBlueInsetPanel"]}, box: "v", width: "246px"}, {}],
-				splitter1: ["wm.Splitter", {width: "6px"}, {}],
-				map: ["wm.Panel", {_classes: {domNode: ["wm_SilverBlueTheme_MainInsetPanel"]}, box: "v", width: "1flex"}, {}]
+				MapPanel: ["wm.Panel", {_classes: {domNode: ["wm_SilverBlueTheme_MainInsetPanel", "height:500px"]}, box: "v", width: "1flex", boxPosition: "topLeft"}, {}, {
+					map: ["wm.Html", {height: "1flex"}, {}]
+				}]
 			}]
 		}],
 		template3: ["wm.Template", {height: "29px"}, {}, {
-			footer: ["wm.Panel", {_classes: {domNode: ["wm_SilverBlueTheme_LightBlueInsetPanel"]}, box: "h", height: "20px", boxPosition: "center"}, {}, {
-				footerLabel: ["wm.Label", {_classes: {domNode: ["wm_FontColor_Blue", "wm_TextDecoration_Bold", "wm_FontSize_120percent", "wm_FontFamily_Verdana"]}, caption: "Copyright 2008 TORI & NCHC, NARL, Taiwan", width: "315px", height: "", autoSize: true}, {}, {
+			footer: ["wm.Panel", {_classes: {domNode: ["wm_SilverBlueTheme_LightBlueInsetPanel", "wm_Padding_2px"]}, box: "h", lock: true, height: "42px", boxPosition: "center"}, {}, {
+				footerLabel: ["wm.Label", {_classes: {domNode: ["wm_FontColor_Blue", "wm_TextDecoration_Bold", "wm_FontSize_120percent", "wm_FontFamily_Verdana"]}, caption: "Copyright 2008 <a href='http://www.tori.narl.org.tw'>TORI</a> & <a href='http://www.nchc.org.tw'>NCHC</a>, <a href='http://www.narl.org.tw'>NARL</a>, Taiwan", width: "315px", height: "", autoSize: true}, {}, {
 					format: ["wm.DataFormatter", {}, {}]
-				}]
+				}],
+				spacer4: ["wm.Spacer", {width: "1flex"}, {}],
+				tori: ["wm.Picture", {height: "", source: "http://www.tori.narl.org.tw/images/tori_logo.png", link: "http://www.tori.narl.org.tw", width: "140px", aspect: "v"}, {}],
+				spacer5: ["wm.Spacer", {width: "10px"}, {}],
+				nchc: ["wm.Picture", {source: "http://www.nchc.org.tw/web_images/tw/header/logo.jpg", link: "http://www.nchc.org.tw", width: "140px", aspect: "v"}, {}]
 			}]
 		}]
